## tickr 0.6.4

=== glib-2.26.0-win32-patch/test/Makefile ===
src =	test.c

obj =	$(src:.c=.o)

CC =	gcc

CFLAGS = -O2 -Wall -Wextra `pkg-config --cflags glib-2.0`

LIBS =	--mms-bitfields `pkg-config --libs glib-2.0`

all:	test

$(obj): $(src) Makefile
	$(CC) $(CFLAGS) -c $(src)

test: $(obj)
	$(CC) -o test $(obj) $(LIBS)
