## tickr 0.5.3

=== debian/changelog ===
tickr (0.5.3-1) unstable; urgency=low

  * Initial release (Closes: #638999)

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Fri, 19 Aug 2011 16:00:00 +0000
