=== debian/control ===
Source: tickr
Section: net
Priority: optional
Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
Build-Depends: debhelper (>= 7.O.50~), autotools-dev, libgtk2.0-dev, libxml2-dev
Standards-Version: 3.9.2
Homepage: http://www.newsrssticker.com

Package: tickr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK-based highly graphically-customizable RSS Ticker
 Tickr is a GTK-based RSS Reader that displays feeds as a smooth scrolling
 line on your Desktop, as known from TV stations. Open feed links in your
 favourite Browser. Graphics are highly customizable.
