=== debian/watch ===
version=3
http://www.newsrssticker.com/unstable-debian  (.*)\.tar\.gz
