## tickr 0.5.4

=== debian/changelog ===
tickr (0.5.4-1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Evan Broder <evan@ebroder.net>  Mon, 28 Nov 2011 14:34:46 +0000

tickr (0.5.4-1) unstable; urgency=low

  * Fix sort_url_list(EMPTY_LIST) falsly returning one element list
    (in news_list.c.) Now, program doesn't hang anymore if lauched with
    no feed URLs selected.

  * Add in news_main.c: shift2left_callback():
    env->suspend_rq = TRUE / (cairo drawing code) / env->suspend_rq = FALSE

  * Tickr fails to build with ld --as-needed (recently-set-as-default
    linker flag) because libraries must be placed after objects needing
    theirs symbols.
    To fix that, we use autoconf macro PKG_CHECK_MODULES(GTK2, gtk+-2.0, ,)
    and PKG_CHECK_MODULES(XML2, libxml-2.0, ,) in configure.ac, and we
    may so remove `pkg-config --libs GTK+-2.0' and `xml-config --libs' from
    src/tickr/Makefile.am.
    (Closes: #647311 LP: #879880)

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Tue, 8 Nov 2011 16:00:00 +0000
