## tickr 0.5.5

=== debian/changelog ===
tickr (0.5.5-1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Jan 2012 20:58:59 +0000

tickr (0.5.5-1) unstable; urgency=low

  * Implement new parameter: <mouse wheel scrolling apply to:
  * s = ticker-speed / f = feed-in-list / n = none>.

  * Set <ticker pause on mouse-over> as optional.

  * Select/highlight and scroll to added URL in the list window.

  * Split compute_surface_and_win() code into compute_surface and
    compute_win, because the later is not always necessary. When
    window-always-on-top is disabled, compute_win needs to be run only
    twice at program startup (ie once after gtk_widget_show_all() has been
    called), then whenever params are changed, but not every time a new
    feed is loaded.

  * Add preferences (settings) importing/exporting feature.

  * 'file' scheme support added in tickr_http.c -> enables reading *and*
    xml-processing of (local) text files (wheras 'open text file' *only*
    read them.)

  * 'HTTPS not supported' handling/warning added in tickr_http.c (fix bug:
    program freezes whith HTTP redirects to HTTPS.)

  * xml 'quick check' in tickr_http.c:format_quick_check() don't reject
    anymore valid (?) feeds not starting with '<?xml' (like google news.)

  * A few little changes in libetm-0.4 -> libetm-0.4.2.

  * Use mouse wheel to go to previous/next feed.

  * Hide passwords in connection settings window.

  * Pause ticker and show feed title in tooltip on mouse-over.

  * Renaming all source files: news_*.c/h -> tickr_*/c/h.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Sun, 18 Dec 2011 00:21:23 +0100
