## tickr 0.6.3

=== debian/changelog ===
tickr (0.6.3-1~ubuntu12.10.1) quantal-backports; urgency=low

  * No-change backport to quantal (LP: #1128947)

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 09 May 2013 14:19:08 +0200

tickr (0.6.3-1) experimental; urgency=low

  * Fix messy update_everything() function and add new
    update_pixmap_from_opened_stream() function, used in tickr_mainc.c
    and tickr_prefwin.c.

  * All *string* values are now saved inclosed in a pair of " or '.
    (This avoid getting trailing whitespaces removed by some editors,
    and other weird things like that.) When read, enclosing " or ' are
    removed, so backward compatibility is preserved.

  * install-on-win32 script renamed build-on-win32 (for accuracy sake.)

  * Fix some confusion about win_transparency in tickr_param.c.
    Actually, double value from 0.1 to 1.0 inside program / int value
    from 1 to 10 inside config file or as command line argument.

  * Fix settings import doing nothing (regression bug).

  * In show_resource_info(), fix URL link and GTK label.

  * Move and set:
      #define N_STR_MAX		8
      #define STR_MAXLEN	FILE_NAME_MAXLEN	(128 previously)
    and remove duplicates.

  * In tickr_feedpicker.c, add:
      if (IS_FLIST(flist_bak))
        (  f_list_free_all(flist_bak);  )
    to fix: list crash (f_list_free_all(): Invalid node in list) after
    adding a feed to an empty list (when clicking OK).

  * Rename (#define RESOURCE_DUMP) APP_CMD"-resrc-dump" ->
    APP_CMD"-resrc-dump.xml" (because it *is* an XML file.)

  * Little changes in big_error() text.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Mon, 04 Feb 2013 17:12:37 +0100

tickr (0.6.2-1) experimental; urgency=low

  * Non standard feed rank support in OPML file.

  * Add new optional 'feed re-ordering by user' feature.

  * Add in libetm-0.4.4/str_mem.c/h: (int) str_is_num(const char *) and
    (int) str_is_blank(const char *).

  * In feed picker win, 'enter' in (rank_/url_)entry launches 'add/upd'
    (GTK_RESPONSE_ADD) instead of 'ok (single)' (GTK_RESPONSE_SINGLE).

  * Question at program start-up about new feed list format conversion:
    if version = 0.6.2 and feed list exists and feed list backup doesn't
    exist, create backup and convert to new format.

  * In tickr_feedpicker.c: fix 'cancel' action.

  * New func FList *f_list_clone(FList *) in tickr_list/c/h.

  * Use GTK_RESPONSE_CANCEL_CLOSE only.

  * In compute_surface_and_win(), remove:
      if (prm->icon_in_taskbar == 'n')
        gtk_window_deiconify(GTK_WINDOW(env->win));
    from update_win_dims() (why was it there?) to fix 'tickr keeps
    stealing focus' bug. Also replace params_have_been_changed() with
    win_params_have_been_changed(). (LP: #900759, #951452, #1017107)

  * Fix (regression bug) segfault which occurs when opening text file
    and attempting to 'format_resource()' 'not-generated-if-resource-is-
    file' XML_DUMP_EXTRA file.

  * Libetm version 0.4.3 -> 0.4.4 (see below.)

  * Add get_appdata-dir_w() in libetm-0.4.4:win32_specific.c and
    get_appdata_dir_utf8() in tickr_resource.c to fix non-ascii (for
    instance cyrillic) user name in app data dir issue on win32.
    Also remove seemingly useless g_win32_locale_filename_from_utf8()
    stuff on win32.

  * If 'item title' and 'item description' both unchecked in pref win,
    warn about 'pointless' setup and ask for confirmation before saving
    config.

  * Add new TickerEnv member (int) mouse_x_in_drwa used to continuously
    tracks (guess what?) mouse x position. Now we have:
    - tooltips with descriptions when ticker displays only titles
    and
    - tooltips with titles when ticker displays only descriptions.

  * Add fp_extra stuff in tickr_feedparser.c to get item titles /
    descriptions (in tooltips and others) when they are no displayed.

  * Remove tmp files when exiting tickr_resource.c:format_resource().

  * Add env->c_surf test in shift2left_callback(). (LP: #1011316)

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Sun, 15 Jul 2012 22:53:02 +0200

tickr (0.6.1-1) unstable; urgency=low

  * Add: 'quick setup' thing (in tickr_quicksetup.c) which is launched
    at program startup if config file doesn't exist.

  * Little improvements in layout of 'feed picker win' and 'preferences
    win'.

  * Fix a segfault that happens when trying to export params and no
    config file exists yet.

  * Make several windows that should not be resized by user, unresizable.

  * Fix Launchpad bug #1007346: When 'window always-on-top' is disabled,
    'visible on all user desktops' stops working.

  * If mouse wheel scrolling applies to speed (or feed), then Ctrl +
    mouse wheel scrolling applies to feed (or speed.)

  * No real code changes in libetm, only in comments, so no need for a
    new version number.

  * Update tickr_helptext.c and tickr.1 (man page.)

  * Add new cli option 'no-ui' (similar to 'instance-id') used by new
    IF_UI_ALLOWED macro and remove all #if USE_GUI occurences.

  * In tickr_list.c, free listfname before using it. Fixed by swapping 2
    lines:
      warning(FALSE, 4, "Can't save URL list ", listfname, ...);
      l_str_free(listfname);

  * Use/add #define
      FONT_MAXLEN		68
      ARBITRARY_TASKBAR_HEIGHT	25
    to replace a few 'magic' numeric values.

  * Rename: rss_title/description(_delimiter) ->
      item_title/description(_delimiter)
    then add new param: feed_title(_delimiter). Now we have:
    feed title / item title / item description.

  * Use table in resource properties window.

  * Fix a bug in f_list_load_from_file() in tickr_list.c which
    uncorrectly retrieves any feed title string containing TITLE_TAG_CHAR
    when TITLE_TAG_CHAR has not been removed from string first, for
    instance: 'NYT > World' -> ' World'.

  * New param: disable left-click.

  * Add 'check for updates' feature.

  * Launch 'import OPML file' if feed list doesn't exist.

  * Remove code changing get_params()->disable_popups value in

