## tickr 0.6.4

=== debian/changelog ===
tickr (0.6.4-1) unstable; urgency=low

  * In pref windows, some setting changes (like 'read n items per feed')
    need the stream to be reloaded, so now we use:
      current_feed();
    instead of:
      update_pixmap_from_opened_stream();

  * Fix 'quick feed picker (selected feeds) closes when pointer leaves
    win area' and implement it as a setting.

  * In pref window, disabling screen limits updates win_y and win_w
    limits on the fly.

  * Max options number now set to 128.

  * Pref win changes:
    - remove 'system' colors buttons
    - increase gtk table row spacings

  * If gradient bg set, compute text shadow color no longer from
    bg_color but from gradient.

  * Quick feed picker (selected feeds) closes when pointer leaves win
    area. Plus: quick feed picker opened *also* by Ctrl + mouse
    right-click.

  * Complete RSS 1.0 support (Closes: #688099) and fix/rewrite a few
    things in feed parser code.

  * In tickr_feedparser.c: ending '\n' removed when adding string to
    XML_DUMP (left when adding string to XML_DUMP_EXTRA).

  * Replace update_win_dims() with update_win_dims_and_loc() so that if
    ticker location happens to be wrong, it's always and quickly reset.

  * Add RSS 1.0 (RDF) support.

  * In tickr_main.c / main(), change:
      gtk_widget_show_all(env->win);
      update_win_dims();
      gtk_main();
    to:
      gtk_widget_show_all(env->win);
      gtk_widget_set_size_request(env->win, 1, 1);
      gtk_window_resize(GTK_WINDOW(env->win), 1, 1);
      gtk_main();
    to try to get rid of "ghost" square window at startup (but is this
    fully effective ?)
    Also change:
      gtk_widget_set_size_request(env->win, 0, 0)
    to:
      gtk_widget_set_size_request(env->win, 1, 1)
    in update_win_dims().

  * In feed picker - multiple selection mode: start reading selection
    with highlighted feed - more exactly url in entry (if any) / first
    one otherwise.

  * Remove (useless ?) app version number from exported OPML feed list
    title.

  * Only a little editor issue - some editors get confused (geany colors
    get confused) by things like:
      THIS_IS_A_#DEFINE"____string____"
    so now we put a space in between, like this:
      THIS_IS_A_#DEFINE "____string____"

  * If win_w = 0, win_w = detected screen width (same as 'full width'
    but from command line).

  * Fix xml namespaces issue in tickr_feedparser.c, when, for instance,
    'media:title' exists along with 'title' and we then get 'title'
    twice. Now, we make sure no extra namespace is used before comparing
    strings with 'title', 'description', etc.

  * Fix stupid bug in format_resource() 'translate html entities' when
    '&' alone is detected (ie without a following ';'). Also fix
    'translating' numerical entities with leading '0' in value string.

  * New option 'disablescreenlimits' which allows win_y and win_w to be
    greater than screen dimensions.

  * A few default settings changed.

  * Gradient bg.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Thu, 23 May 2013 16:57:41 +0200
