=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgtk2.0-dev, libxml2-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), autotools-dev, libgtk2.0-dev, libxml2-dev
+Standards-Version: 3.9.4
 Homepage: http://www.newsrssticker.com
 
 Package: tickr
