=== debian/watch ===
version=3
http://www.newsrssticker.com/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
#http://www.newsrssticker.com/src/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Mon, 28 Jan 2013 17:42:12 +0000
