## tickr 0.7.0~beta3

=== debian/changelog ===
tickr (0.7.0~beta3-1~mx15+1) mx; urgency=medium

  * New beta release, rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Apr 2018 12:18:43 -0700

tickr (0.7.0~beta1-1) trusty; urgency=low

  * Fix flickering on Linux Mint 18 Cinnamon because of call of
    update_win_dims_and_loc() every 500 ms. (Aug 15 2016)

  * Fix reverse scrolling feature remaining issues. NOT YET.

  * Reload delay now up to 1440 mn = 24 h. 0 = never force reload.
    Actually, in multiple selections mode, all feeds are always reloaded
    sequentially, because there is no caching involved.

  * Segfault signal (SIGSEGV) handling.

  * Change 'sfpickercloseswhenpointerleaves' option name to
    'sfeedpickerautoclose'.

  * Change 'mousewheelscroll' option name to 'mousewheelaction'.

  * Former "Preferences" dialog renamed to "Full Settings", and new easy
    setup dialog called "Preferences". Add tooltips. Also a few changes
    and fixes.

  * New 'current feed' button in feed organizer. Also add tooltips.

  * Find/use default browser on Linux.

  * Add default response parameter to question_win() and set default
    responses.

  * HTTPS support with GnuTLS.

  * load_resource() -> load_resource_from_selection() (first name is
    confusing/not descriptive enough).

  * New 'connect-timeout' and 'sendrecv-timeout' CLI only options, which
    override default timeout values, if proxy or slow internet link.
    Thanks to G4JC for his patch. (LP: #1475797)

  * New '-dumperrorcodes' CLI arg.

  * Now parse port numbers in URLs.

  * Implement reverse scrolling (ie L to R) option.

  * New '-dumpconfig' CLI arg.

  * New libetm l_str_insert_at_b() function.

  * In tickr_main.c: update_pixmap_from_opened_stream(), add
      if (resrc->fp != NULL)
    before
        fseek(resrc->fp, 0, SEEK_SET);
    to fix segfault when trying to open an invalid resource or a
    non-existing file from CLI.

  * Improved libetm error hanling and new tickr_error.c/h modules.

  * In check_main_win_always_on_top(), change:
      gtk_window_set_keep_above(GTK_WINDOW(env->win), BOOLEAN);
    to:
      gtk_window_set_keep_above(GTK_WINDOW(env->win), BOOLEAN);
      gdk_window_set_keep_above(GDK_WINDOW(env->win->window), BOOLEAN);
    to (try to) fix always-on-top issues on some DE, like:
    https://aur.archlinux.org/packages/tickr/
    Need feedback to know if this actually makes a difference.

  * Quick hack to fix remaining 1 pixel wide line when enabling then
    disabling left clock, because then vbox_clock/drwa_clock min size is
    still 1x1 (not 0x0) and is the first widget packed in main_hbox.
    So, when no clock is set, we make sure the 'empty clock widget' is
    always on the right side, ie we do:
    gtk_box_reorder_child(GTK_BOX(main_hbox), vbox_clock, 1)

  * When adding a feed to the feed list, new option to force an
    invalid/unreachable one to be kept anyways.

  * Add IS_FLIST() test in tickr_feedpicker.c:
    add_feed_to_flnode_and_list_store() to fix f_list_search() invalid
    node error, when trying to add one feed to an *empty* list.
    (LP: #1272129)

  * New free_all() function to release all allocated memory before
    exiting.

  * Fix maximizing feed organizer window doesn't expend scrolled window:
    gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->vbox), sc_win,
      TRUE, TRUE, 0);

  * Improved long strings formating in info_win() with
    insert_newlines_if_too_long().

  * Change g_remove() to g_unlink because we deal only with files. Also
    add a silly hack to prevent issues with win32 appdata dir user
    permissions holy mess.

  * 'disable screen limits' option now applies to x position too.

  * Add 'marked items' stuff in UI and params.

  * Change function names in menu_item array from function_name2 to
    function_name0 because function_name0 are always called before
    function_name so using 2 is just confusing.

  * A few changes in tickr_feedpicker.c (line 393).

  * Fix 'disablepopups' option not effective on 'no-ui' option and allow
    'no-ui' option to be effective if 1st *or* *2nd* arg.

  * Fix a few build/compile issues on win32.

  * Stream sockets API moved to libetm.

  * New libetm 'zboolean' type.

  * Not-working-as-expected and never-used win_with_spinner() stuff now
    commented out.

  * Feed title / item title / item description pages removed (commented
    out) from quick setup.

  * "Open Feed" in menu changed to "Feed Organizer" in tickr_main.c and
    "Feed Picker" window title changed to "Feed Organizer" in
    tickr_feedpicker.c.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Tue, 23 Aug 2016 19:03:22 +0200

tickr (0.6.2-1) unstable; urgency=low

  * Non standard feed rank support in OPML file.

  * Add new optional 'feed re-ordering by user' feature.

  * Add in libetm-0.4.4/str_mem.c/h: (int) str_is_num(const char *) and
    (int) str_is_blank(const char *).

  * In feed picker win, 'enter' in (rank_/url_)entry launches 'add/upd'
    (GTK_RESPONSE_ADD) instead of 'ok (single)' (GTK_RESPONSE_SINGLE).

  * Question at program start-up about new feed list format conversion:
    if version = 0.6.2 and feed list exists and feed list backup doesn't
    exist, create backup and convert to new format.

  * In tickr_feedpicker.c: fix 'cancel' action.

  * New func FList *f_list_clone(FList *) in tickr_list/c/h.

  * Use GTK_RESPONSE_CANCEL_CLOSE only.

  * In compute_surface_and_win(), remove:
      if (prm->icon_in_taskbar == 'n')
        gtk_window_deiconify(GTK_WINDOW(env->win));
    from update_win_dims() (why was it there?) to fix 'tickr keeps
    stealing focus' bug. Also replace params_have_been_changed() with
    win_params_have_been_changed(). (LP: #900759, #951452, #1017107)

  * Fix (regression bug) segfault which occurs when opening text file
    and attempting to 'format_resource()' 'not-generated-if-resource-is-
    file' XML_DUMP_EXTRA file.

  * Libetm version 0.4.3 -> 0.4.4 (see below.)


