=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: tickr
 Section: net
 Priority: optional
-Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
-Build-Depends: debhelper (>= 9), autotools-dev, libgtk2.0-dev, libxml2-dev
-Standards-Version: 3.9.4
-Homepage: http://www.newsrssticker.com
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
+Build-Depends: debhelper (>= 9), autotools-dev, libgtk2.0-dev,
+               libxml2-dev, libgnutls28-dev
+Standards-Version: 3.9.8
+Homepage: http://www.open-tickr.net
 
 Package: tickr
 Architecture: any
