## tickr 0.7.0

=== debian/changelog ===
tickr (0.7.0-3) unstable; urgency=low

  * Fix linking issues in tickr-0.7.0/src/tickr/Makefile.am:
        tickr_LDADD = ../libetm-0.5.0/libetm.a $(GTK2_LIBS) $(XML2_LIBS)\
        $(GNUTLS_LIBS) $(FRIBIDI_LIBS) -lm

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Sat, 13 Jun 2020 16:44:10 +0200

tickr (0.7.0-2) unstable; urgency=low

  * Add missing
      'libetm_a_LDFLAGS = -lm'
    in tickr-0.7.0/src/libetm-0.5.0/Makefile.am.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Thu, 11 Jun 2020 11:56:06 +0200

tickr (0.7.0-1) unstable; urgency=low

  * Fix segfaults and *freeze* with FList's when adding invalid or
    unreachable URLs (in tickr_feepicker.c).

  * Get correct link offsets with reverse scrolling.

  * Fix compiling issues for win32 version.

  * Fix incorrect visual display of bidi text with reverse scrolling.
    Will need more feedback anyways.

  * Fix the flickering-every-500-ms issue on Linux Mint 18 Cinnamon, as
    well as the weird on screen square artifact, in tickr_main.c:
    update_win_dims_and_loc(), thanks to Trevor Hemsley contribution.

  * Add time of OPML export (as a comment) in tickr_opml.c.

  * In tickr_feedpicker.c, change
      "Enter (rank and) URL:"
    to less confusing
      "<b>New Feed</b>  ->  Enter (rank and) URL:".

  * Static global var shift_counter now member of TickerEnv struct.

  * Fix no more functionnal check_for_updates() (https ? / website
    migration ?)

  * Fix get_resource()->link_and_offset big issues.

  * Fix segfaults in feed picker win -> add/update with unreachable or
    invalid URLs.

  * Replace __FUNCTION__ with __func__ in all src files, to fix new
   -Wpedantic warnings about non-standard predefined identifiers in gcc5.

  * Add donate button in about win.

  * Fix many program startup issues

  * get_new_url() renamed manage_list_and_selection().

  * Fix UTF-8 encoding related issues.

  * Remove 'cutline-delimiter' param, not used/needed anymore.

  * New params: 'clocksec', 'clock12h' and 'clockdate'.

  * Now using logging macros from libetm.

  * New 'connect-timeout' and 'sendrecv-timeout' CLI options are now
    settings (saved in config file). Add them in connection settings
    win.

  * Add 'full settings' and 'connection settings' buttons in quick
    settings win, and 'connection settings' button in full settings
    win.

  * New 'override_redirect' param (*very* experimental).

  * Remove unusable 'fullscreen' param.

  * Allow authentication username and proxy username to contain spaces.

  * Try to fix flickering on Linux Mint 18 Cinnamon because of calling
    update_win_dims_and_loc() every 500 ms. Not working.

  * New *experimental* 'fullscreen' param.

  * Add HTTP status code 410: Gone.

  * info_win_wait() renamed info_win_no_block(), which is less
    confusing, plus BLOCK/NO_BLOCK helpers for warning().

  * Improved big_error() and warning().

  * Fix a few reverse scrolling issues. Still a lot to do.

  * Reload delay now up to 1440 mn = 24 h. 0 = never force reload.
    Actually, in multiple selections mode, all feeds are always reloaded
    sequentially, because there is no caching mechanism involved.

  * Segfault signal (SIGSEGV) handling.

  * Change 'sfpickercloseswhenpointerleaves' option name to
    'sfeedpickerautoclose'.

  * Change 'mousewheelscroll' option name to 'mousewheelaction'.

  * Former "Preferences" dialog renamed to "Full Settings", and new easy
    setup dialog called "Preferences". Add tooltips. Also a few changes
    and fixes.

  * New 'current feed' button in feed organizer. Also add tooltips.

  * Find/use default browser on Linux.

  * Add default response parameter to question_win() and set default
    responses.

  * HTTPS support with GnuTLS.

  * load_resource() -> load_resource_from_selection() (first name is
    confusing/not descriptive enough).

  * New 'connect-timeout' and 'sendrecv-timeout' CLI only options, which
    override default timeout values, if proxy or slow internet link.
    Thanks to G4JC for his patch. (LP: #1475797)

  * New '-dumperrorcodes' CLI arg.

  * Now parse port numbers in URLs.

  * Implement reverse scrolling (ie L to R) option.

  * New '-dumpconfig' CLI arg.

  * New libetm l_str_insert_at_b() function.

  * In tickr_main.c: update_pixmap_from_opened_stream(), add
      if (resrc->fp != NULL)
    before
        fseek(resrc->fp, 0, SEEK_SET);
    to fix segfault when trying to open an invalid resource or a
    non-existing file from CLI.

  * Improved libetm error handling and new tickr_error.c/h modules.

  * In check_main_win_always_on_top(), change:
      gtk_window_set_keep_above(GTK_WINDOW(env->win), BOOLEAN);
    to:
      gtk_window_set_keep_above(GTK_WINDOW(env->win), BOOLEAN);
      gdk_window_set_keep_above(GDK_WINDOW(env->win->window), BOOLEAN);
    to (try to) fix always-on-top issues on some DE, like:
    https://aur.archlinux.org/packages/tickr/
    Need feedback to know if this actually makes a difference.

  * Quick hack to fix remaining 1 pixel wide line when enabling then
    disabling left clock, because then vbox_clock/drwa_clock min size is
    still 1x1 (not 0x0) and is the first widget packed in main_hbox.
    So, when no clock is set, we make sure the 'empty clock widget' is
    always on the right side, ie we do:
    gtk_box_reorder_child(GTK_BOX(main_hbox), vbox_clock, 1)

  * When adding a feed to the feed list, new option to force an
    invalid/unreachable one to be kept anyways.

  * Add IS_FLIST() test in tickr_feedpicker.c:
    add_feed_to_flnode_and_list_store() to fix f_list_search() invalid
    node error, when trying to add one feed to an *empty* list.
    (LP: #1272129)

  * New free_all() function to release all allocated memory before
    exiting.

  * Fix maximizing feed organizer window doesn't expend scrolled window:
    gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->vbox), sc_win,
      TRUE, TRUE, 0);

  * Improved long strings formatting in info_win() with

