=== debian/control ===
Source: tickr
Section: net
Priority: optional
Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, libxml2-dev, libgnutls28-dev, libfribidi-dev
Standards-Version: 4.5.0
Homepage: https://www.open-tickr.net

Package: tickr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK-based highly graphically-customizable Feed Ticker
 Tickr is a GTK-based RSS/Atom Reader that displays feeds as a smooth
 scrolling line on your Desktop, as known from TV stations. Open feed
 links in your favourite Browser. Graphics are highly customizable.
