## tickr 0.7.1

=== debian/changelog ===
tickr (0.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097996)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 14:25:32 +0300

tickr (0.7.1-1) unstable; urgency=low

  * New clock_alt_date_form option: Use alternative date format, ie
    'Mon 01 Jan' instead of 'Mon Jan 01'.

  * A few things in tickr_http.c, tickr_feedpicker.c, help text and man
    page.

  * In tick_prefwin.c, 'reset all settings' doesn't fully update Tickr
    appearance when reopening dialog (need 'apply'), so no more
    reopening.

  * New function tickr_feepicker.c/check_and_update_feed_url() to
    simplify code. Help to fix segfaults in:
    - tickr_feepicker.c/add_feed_to_flnode_and_list_store()
    - tickr_feepicker.c/manage_list_and_selection()
    - tickr_opml.c/get_opml_selected_element()
  (LP: #1272129)

  * Try to better document/comment tickr_http.c/fetch_resource(), which
    was a bit confusing.

  * OPML import: feed URLs updated if moved-permanently redirects.

  * Complete OPML export format: opml v = 2.0, <outline> has only text
    and xmlUrl attributes, for maximum comptability.

  * Fix icon location in tickr.dektop.

  * When sorting feed list (by url), now compare strings after ":", with
    get_url_beyond_scheme().

  * In tickr_resource.c/format_resource_str(), no need to 'translate'
    html entities anymore, so some code removed. The issue was related
    to an old version of Libxml2.

  * Remove testing type="rss" when importing OPML file in tickr_opml.c,
    plus other issues.

  * We want command line args "--instance-id=" and "--no-ui" to be valid
    too (as are all other args and options) in tickr_main.c.

  * Install tickr-icon.png also in /usr/share/icons/hicolor/64x64/apps/

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Sat, 24 Jul 2021 11:40:34 +0200
