=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, libxml2-dev, libgnutls28-dev, libfribidi-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), libgtk2.0-dev, libxml2-dev, libgnutls28-dev, libfribidi-dev
+Standards-Version: 4.6.0
 Homepage: https://www.open-tickr.net
+Rules-Requires-Root: no
 
 Package: tickr
 Architecture: any
