=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 #http://www.newsrssticker.com/src/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
 
 #http://www.newsrssticker.com/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
@@ -10,5 +10,8 @@
 #opts=pgpsigurlmangle=s/$/.asc/ http://www.open-tickr.net/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
 # Emmanuel Thomas-Maurin <manutm007@gmail.com>  Thu, 02 Apr 2015 02:19:09 +0200
 
-https://www.open-tickr.net/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
+#https://www.open-tickr.net/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
 # Emmanuel Thomas-Maurin <manutm007@gmail.com>  Fri, 29 May 2020 11:34:35 +0200
+
+https://www.open-tickr.net/list_all_downloadables.php .*/tickr-([\d.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
+# Emmanuel Thomas-Maurin <manutm007@gmail.com>  Fri, 20 Aug 2021 16:26:07 +0200
