## tickr 1.0.2

=== DESCRIPTION ===
Package: tickr
Type: Package
Title: Consistent Axis Tick Marks
Version: 1.0.2
Authors@R: c(
    person(given = "Benjamin C.",
           family = "Williams",
           email = "kleheni@gmail.com", 
           role = c("aut", "cre"), 
           comment = c(ORCID = "0000-0001-7295-2076"))
    )
Maintainer: Benjamin C. Williams <kleheni@gmail.com>
Description: This is a small package to provide consistent tick marks for plotting 'ggplot2' figures. 
    It provides breaks and labels for 'ggplot2' without requiring 'ggplot2' to be installed.
License: MIT + file LICENSE
Encoding: UTF-8
Imports: ggplot2, magrittr, rlang
RoxygenNote: 7.3.2
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
Config/testthat/edition: 3
URL: https://github.com/ben-williams/tickr
NeedsCompilation: no
Packaged: 2025-04-09 17:00:52 UTC; Ben.Williams
Author: Benjamin C. Williams [aut, cre]
    (<https://orcid.org/0000-0001-7295-2076>)
Repository: CRAN
Date/Publication: 2025-04-10 14:30:05 UTC
